#ifndef PARTICLE_H
#define PARTICLE_H

#include "ofMain.h"
#include "ofxVectorMath.h"

class particle
{
    public:
        ofxVec2f pos;
        ofxVec2f vel;
        ofxVec2f frc;   // frc is also know as acceleration (newton says "f=ma")

        ofImage cat;

        particle();
		virtual ~particle(){};

        void resetForce();
		void addForce(float x, float y);
		void addRepulsionForce(float x, float y, float radius, float scale);
		void addAttractionForce(float x, float y, float radius, float scale);
		void addRepulsionForce(particle &p, float radius, float scale);
		void addAttractionForce(particle &p, float radius, float scale);

		void addDampingForce();

		void setInitialCondition(float px, float py, float vx, float vy);
		void setColor(int r, int g, int b);
        void update();
        void draw();

        ofSoundPlayer catMew;

		void bounceOffWalls();

		bool inPen;

        float imgW;
        float imgH;
		float damping;
		int r,g,b;


    protected:
    private:
};

#endif // PARTICLE_H
